in_validator 1.0.0 icon indicating copy to clipboard operation
in_validator: ^1.0.0 copied to clipboard

package to validate Indian identification numbers such as PAN, AADHAAR, GST, DRIVING LICENSE, etc.

Package to validate the indian identification numbers such as PAN, AADHAAR, etc. This package will not validate the numbers with any govt. data. It just validates the numbers with some regular expressions and algorithms.

Features #

  • validate PAN
  • validate AADHAAR
  • validate Driving License Number
  • validate GST Number
  • validate Passport Number

Getting started #

add the following dependency in pubspec.yml

dependencies:
  in_validator: {version}

Usage #

import 'package:in_validator/in_validator.dart';

// PAN
PANValidator().isValid('XXXXX9999X');

// AADHAAR
AadhaarValidator().isValid('999941057058');

// DRIVING LICENCSE
DrivingLicenseValidator().isValid('HR-0620220034761');

// GST
GSTValidator().isValid('10AABCU9603R1Z2');

// Passport
PassportValidator().isValid('A2190457');

see the example app for more details.

Additional information #

Live Demo: https://deepak786.github.io/in_validator_demo

Don't hesitate to buy me a coffee.
Buy Me A Coffee

4
likes
140
pub points
63%
popularity

Publisher

verified publisher icondeepakdroid.xyz

package to validate Indian identification numbers such as PAN, AADHAAR, GST, DRIVING LICENSE, etc.

Repository (GitHub)

Documentation

API reference

License

Icon for licenses.MIT (LICENSE)

Dependencies

flutter

More

Packages that depend on in_validator